-- Whether the addon is visible
ToraRange_Options_Visible = true

-- The position scale on the radar
ToraRange_Options_RadarScale = 1.5

-- How often to send distance data to other players
ToraRange_Options_SendPeriod = 0.5 

-- How many iterations to do when solving positions
ToraRange_Options_SolverIterations = 3

-- The spring constant to use when solving positions
ToraRange_Options_SolverSpringConstant = 0.1

-- At how many yards to turn the icon red
ToraRange_Options_RangeWarning = 8

function ToraRange_UILoadOptions()
	ToraRangeOptionsMenuVisible:SetChecked(ToraRange_Options_Visible)
	ToraRangeOptionsMenuRadarScaleSlider:SetValue(ToraRange_Options_RadarScale)
	ToraRangeOptionsMenuSendPeriod:SetValue(ToraRange_Options_SendPeriod)
	ToraRangeOptionsMenuSolverIterations:SetValue(ToraRange_Options_SolverIterations)
	ToraRangeOptionsMenuSolverSpringConstant:SetValue(ToraRange_Options_SolverSpringConstant)
	ToraRangeOptionsMenuRangeWarning:SetValue(ToraRange_Options_RangeWarning)
end

-- Apply options to UI
local f = CreateFrame("frame")
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", ToraRange_UILoadOptions)
